/*--
	out.cpp

	Out message.
--*/


#include "global.h"


void ShowData(unsigned char * pData, unsigned long ulDataLen)
{
	if(pData == NULL)
	{
		printf("...\nData to be showed is NULL!\n");
		return ;
	}
	else
	{
		printf("\nLength of data to be showed is:%d  .\n", ulDataLen);
		for(register unsigned long i = 0;i<ulDataLen;i++)
		{
			printf("%03d ", pData[i]);
			if(i%16 == 0)
				printf("\n");
		}
	}
	printf("\n");
	return ;
}


/*	title of program	*/
void ShowTitle(void)
{
	printf("===========================================================\n");
	printf("Please choise the test item:\n");
	printf("   0: EXIT\n");
	printf("   1: GENERATE DESTEST\n");
	printf("   2: DERIVE DES KEY\n");
	//printf("   3: RSA TEST\n");
	printf("   4: KCS LIST TEST\n");
	printf("   5: KCS ADD TEST\n");
	printf("   6: KCS REMOVE TEST\n");
	printf("   7: LIST CERTIFIVATES TEST\n");
	printf("===========================================================\n");
}
